# $Revision: 1.50 $, $Date: 2012/02/05 11:22:17 $
#
# TODO:
#   - build and package Redis module, requires hiredis library to be packaged
#     first (https://github.com/antirez/hiredis)
#
# Conditional build:
%bcond_without	ldap		# without rlm_ldap extension module
%bcond_without	firebird	# without rlm_sql_firebird extension module
%bcond_without	eap_ikev2	# without rlm_eap_ikev2 extension module
%bcond_without	kerberos5	# without rlm_krb5 extension module
%bcond_without	ruby		# without rlm_ruby extension module
%bcond_with		failed_calls_acc # with failed calls accounting support
#
%include	/usr/lib/rpm/macros.perl
#
Summary:	High-performance and highly configurable RADIUS server
Summary(pl.UTF-8):	Szybki i wysoce konfigurowalny serwer RADIUS
Name:		freeradius-server
Version:	2.1.12
Release:	3
License:	GPL
Group:		Networking/Daemons/Radius
Source0:	ftp://ftp.freeradius.org/pub/radius/%{name}-%{version}.tar.bz2
# Source0-md5:	862d3a2c11011e61890ba84fa636ed8c
Source1:	%{name}.logrotate
Source2:	%{name}.init
Source3:	%{name}.pam
Source4:	%{name}.tmpfiles
Patch0:		%{name}-config.patch
Patch1:		%{name}-libdir.patch
Patch2:		%{name}-makefile.patch
Patch3:		%{name}-rundir.patch
Patch4:		%{name}-heimdal.patch
Patch5:		%{name}-rubyhdrs.patch
# Patch taken from http://download.ag-projects.com/CDRTool/contrib/freeradius-brandinger/
Patch6:		failed_calls_accounting.patch
# http://eduroam.pl/Dokumentacja/cui-fr-2.1.12.patch
Patch7:		cui-fr-2.1.12.patch
URL:		http://www.freeradius.org/
%{?with_firebird:BuildRequires:	Firebird-devel}
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cyrus-sasl-devel
BuildRequires:	gdbm-devel
%{?with_kerberos5:BuildRequires:	heimdal-devel}
%{?with_eap_ikev2:BuildRequires:	libeap-ikev2-devel}
BuildRequires:	libtool
BuildRequires:	mysql-devel
BuildRequires:	net-snmp-utils
%{?with_ldap:BuildRequires:	openldap-devel}
BuildRequires:	openssl-devel
BuildRequires:	pam-devel
BuildRequires:	perl-devel
BuildRequires:	postgresql-devel
BuildRequires:	python-devel
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.268
%{?with_ruby:BuildRequires:	ruby-devel >= 1.8}
BuildRequires:	sqlite3-devel
BuildRequires:	unixODBC-devel
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(pre):	/usr/sbin/usermod
Requires:	%{name}-libs = %{version}-%{release}
Requires:	openssl-tools
Requires:	rc-scripts
Provides:	freeradius = %{version}-%{release}
Provides:	group(radius)
Provides:	user(radius)
Obsoletes:	cistron-radius
Obsoletes:	freeradius < 2.0
Conflicts:	logrotate < 3.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		mibdir			%{_datadir}/mibs
%define		filterout_ld	-Wl,--as-needed

%description
The FreeRADIUS Server Project is an attempt to create a
high-performance and highly configurable GPL'd RADIUS server. It is
generally similar to the Livingston 2.0 RADIUS server, but has a lot
more features, and is much more configurable.

%description -l pl.UTF-8
Projekt FreeRadius ma na celu stworzenie szybkiego i wysoce
konfigurowalnego serwera RADIUS na licencji GPL. Ten jest podobny do
Livingston 2.0 RADIUS server ale ma o wiele więcej funkcji i posiada
większe możliwości konfigurowania.

%package module-krb5
Summary:	Kerberos module for %{name}
Group:		Networking/Daemons/Radius
Requires:	%{name} = %{version}-%{release}

%description module-krb5
Kerberos module for %{name}.

%package module-ldap
Summary:	LDAP module for %{name}
Group:		Networking/Daemons/Radius
Requires:	%{name} = %{version}-%{release}

%description module-ldap
LDAP module for %{name}.

%package module-mysql
Summary:	Mysql module for %{name}
Group:		Networking/Daemons/Radius
Requires:	%{name} = %{version}-%{release}

%description module-mysql
Mysql module for %{name}.

%package module-otp
Summary:	OTP module for %{name}
Group:		Networking/Daemons/Radius
Requires:	%{name} = %{version}-%{release}

%description module-otp
OTP module for %{name}.

%package module-pam
Summary:	PAM module for %{name}
Group:		Networking/Daemons/Radius
Requires:	%{name} = %{version}-%{release}

%description module-pam
PAM module for %{name}.

%package module-perl
Summary:	Perl module for %{name}
Group:		Networking/Daemons/Radius
Requires:	%{name} = %{version}-%{release}

%description module-perl
Perl module for %{name}.

%package module-postgresql
Summary:	PostgreSQL module for %{name}
Group:		Networking/Daemons/Radius
Requires:	%{name} = %{version}-%{release}

%description module-postgresql
PostgreSQL module for %{name}.

%package module-python
Summary:	Python module for %{name}
Group:		Networking/Daemons/Radius
Requires:	%{name} = %{version}-%{release}

%description module-python
Python module for %{name}.

%package module-ruby
Summary:	Ruby module for %{name}
Group:		Networking/Daemons/Radius
Requires:	%{name} = %{version}-%{release}

%description module-ruby
Ruby module for %{name}.

%package module-sqlite
Summary:	Sqlite module for %{name}
Group:		Networking/Daemons/Radius
Requires:	%{name} = %{version}-%{release}

%description module-sqlite
Sqlite module for %{name}.

%package module-sql_firebird
Summary:	SQL Firebird module for %{name}
Group:		Networking/Daemons/Radius
Requires:	%{name} = %{version}-%{release}

%description module-sql_firebird
SQL Firebird module for %{name}.

%package module-unix
Summary:	Unix module for %{name}
Group:		Networking/Daemons/Radius
Requires:	%{name} = %{version}-%{release}

%description module-unix
Unix module for %{name}.

%package module-unixodbc
Summary:	UnixODBC module for %{name}
Group:		Networking/Daemons/Radius
Requires:	%{name} = %{version}-%{release}

%description module-unixodbc
UnixODBC module for %{name}.

%package -n mibs-%{name}
Summary:	MIB database for %{name}
Summary(pl.UTF-8):	Baza danych MIB dla %{name}
Group:		Applications/System
Requires:	mibs-dirs
Suggests:	libsmi
Obsoletes:	freeradius-server-mibs

%description -n mibs-%{name}
MIB database for %{name}.

%description -n mibs-%{name} -l pl.UTF-8
Baza danych MIB dla %{name}.

%package libs
Summary:	Freeradius libraries
Group:		Libraries

%description libs
Freeradius libraries.

%package devel
Summary:	Header files and devel library
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files and libraries.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%{?with_failed_calls_acc:%patch6 -p0}
%patch7 -p1

%build
# Keep it for future when ac/am regeneration will be ok
find -name 'configure.[ia][nc]' -type f | while read FILE; do
	cd $(dirname "$FILE")
	%{__libtoolize}
	%{__aclocal} -I $OLDPWD
	%{__autoconf}
	[ -f config.h.in ] && %{__autoheader}
	cd -
done

%configure \
	--enable-strict-dependencies \
	--with-experimental-modules \
	--with-logdir=%{_var}/log/freeradius \
	--with-system-libltdl \
	--with-system-libtool \
	--with-udpfromto \
	--without-rlm_eap_tnc \
	--without-rlm_redis \
	--without-rlm_rediswho \
	--without-rlm_opendirectory \
	--without-rlm_sql_db2 \
	--without-rlm_sql_iodbc \
	--without-rlm_sql_oracle \
	%{!?with_firebird:--without-rlm_sql_firebird} \
	%{!?with_ldap:--without-rlm_ldap} \
	%{!?with_eap_ikev2:--without-rlm_eap_ikev2} \
	%{?with_kerberos5:--enable-heimdal-krb5} \
	%{!?with_kerberos5:--without-rlm_krb5} \
	%{!?with_ruby:--without-rlm_ruby}

%{make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{logrotate.d,rc.d/init.d,pam.d} \
	$RPM_BUILD_ROOT%{_var}/log/{,archive}/freeradius/radacct \
	$RPM_BUILD_ROOT%{mibdir} \
	$RPM_BUILD_ROOT/usr/lib/tmpfiles.d \

%{__make} -j1 install \
	R=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE3} $RPM_BUILD_ROOT/etc/pam.d/radius
install %{SOURCE4} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf

# Install mibs:
install mibs/FREERADIUS-*.txt $RPM_BUILD_ROOT%{mibdir}

# Cleanups:
rm -rf $RPM_BUILD_ROOT%{_docdir}/freeradius \
	$RPM_BUILD_ROOT%{_libdir}/*.{a,la} \
	$RPM_BUILD_ROOT%{_libdir}/freeradius/*.a \
	$RPM_BUILD_ROOT%{_sbindir}/rc.* \
	$RPM_BUILD_ROOT%{_sysconfdir}/*.pl \
	$RPM_BUILD_ROOT%{_sysconfdir}/raddb/sql/oracle

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 29 -r -f radius
%useradd -u 29 -d %{_localstatedir} -s /bin/false -M -r -c "%{name}" -g radius radius

# TODO: should be in trigger instead.
# upgrade from previous versions of the package, where radius' gid was "nobody"
if [ "`id -g radius`" = "99" ]; then
	usermod -g 29 radius
	chown radius:radius /var/log/%{name}/*.log >/dev/null 2>&1 || :
	chown radius:radius /var/log/%{name}/radacct/* >/dev/null 2>&1 || :
fi

%post
/sbin/chkconfig --add %{name}
%service %{name} restart "%{name} daemon"

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" = "0" ]; then
	%userremove radius
	%groupremove radius
fi

%post   libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%define module_scripts() \
%post %1 \
%service %{name} restart \
\
%postun %1 \
%service %{name} restart

%module_scripts module-krb5
%module_scripts module-ldap
%module_scripts module-mysql
%module_scripts module-otp
%module_scripts module-pam
%module_scripts module-perl
%module_scripts module-postgresql
%module_scripts module-python
%module_scripts module-ruby
%module_scripts module-sqlite
%module_scripts module-sql_firebird
%module_scripts module-unix
%module_scripts module-unixodbc

%files
%defattr(640,root,radius,750)
%dir %{_sysconfdir}/raddb
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/acct_users
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/attrs*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/clients.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/dictionary
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/eap.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/experimental.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/hints
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/huntgroups
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/policy.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/policy.txt
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/preproxy_users
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/proxy.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/radiusd.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/sql.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/sqlippool.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/templates.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/users
%dir %{_sysconfdir}/raddb/certs
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/certs/*.cnf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/certs/xpextensions
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/certs/Makefile
%doc %{_sysconfdir}/raddb/certs/README
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/certs/bootstrap
%dir %{_sysconfdir}/raddb/modules
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/acct_unique
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/always
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/attr_filter
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/attr_rewrite
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/chap
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/checkval
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/counter
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/cui
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/detail
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/detail.example.com
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/detail.log
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/digest
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/echo
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/etc_group
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/exec
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/expiration
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/expr
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/files
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/inner-eap
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/ippool
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/linelog
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/logintime
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/mac2ip
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/mac2vlan
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/mschap
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/pap
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/passwd
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/policy
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/preprocess
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/radutmp
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/realm
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/replicate
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/smbpasswd
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/smsotp
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/soh
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/sql_log
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/sqlcounter_expire_on_login
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/sradutmp
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/wimax
%dir %{_sysconfdir}/raddb/sites-available
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/sites-available/*
%dir %{_sysconfdir}/raddb/sites-enabled
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/sites-enabled/*
%dir %{_sysconfdir}/raddb/sql
%dir %{_sysconfdir}/raddb/sql/mssql
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/sql/mssql/*
%dir %{_sysconfdir}/raddb/sql/ndb
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/sql/ndb/*
%defattr(644,root,root,755)
%doc doc/* scripts raddb
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/*
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%dir %{_libdir}/freeradius
%attr(755,root,root) %{_libdir}/freeradius/rlm_acctlog*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_acctlog*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_acct_unique*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_acct_unique*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_always*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_always*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_attr_filter*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_attr_filter*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_attr_rewrite*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_attr_rewrite*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_caching*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_caching*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_chap*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_chap*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_checkval*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_checkval*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_copy_packet*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_copy_packet*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_counter*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_counter*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_cram*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_cram*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_dbm*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_dbm*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_detail*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_detail*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_digest*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_digest*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_dynamic_clients*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_dynamic_clients*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_eap*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_eap*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_example*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_example*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_exec*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_exec*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_expiration*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_expiration*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_expr*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_expr*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_fastusers*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_fastusers*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_files*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_files*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_ippool*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_ippool*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_jradius*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_jradius*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_linelog*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_linelog*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_logintime*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_logintime*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_mschap*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_mschap*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_pap*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_pap*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_passwd*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_passwd*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_policy*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_policy*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_preprocess*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_preprocess*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_protocol_filter*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_protocol_filter*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_radutmp*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_radutmp*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_realm*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_realm*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_replicate*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_replicate*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_sim_files*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_sim_files*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_smsotp*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_smsotp*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_soh*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_soh*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_sql-*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_sql.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_sql-*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_sql.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_sqlcounter*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_sqlcounter*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_sqlhpwippool*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_sqlhpwippool*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_sqlippool*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_sqlippool*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_sql_log*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_sql_log*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_wimax*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_wimax*.la
%{_datadir}/freeradius
%{_mandir}/man?/*
%attr(771,root,radius) %dir %{_var}/log/freeradius
%attr(771,root,radius) %dir %{_var}/log/freeradius/radacct
%attr(771,root,radius) %dir %{_var}/log/archive/freeradius
%attr(771,root,radius) %dir %{_var}/log/archive/freeradius/radacct
%attr(775,root,radius) %dir /var/run/freeradius
/usr/lib/tmpfiles.d/%{name}.conf

%if %{with kerberos5}
%files module-krb5
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/krb5
%attr(755,root,root) %{_libdir}/freeradius/rlm_krb5*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_krb5*.la
%endif

%if %{with ldap}
%files module-ldap
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/ldap.attrmap
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/ldap
%attr(755,root,root) %{_libdir}/freeradius/rlm_ldap*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_ldap*.la
%endif

%files module-mysql
%defattr(644,root,root,755)
%dir %{_sysconfdir}/raddb/sql/mysql
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/sql/mysql/*
%attr(755,root,root) %{_libdir}/freeradius/rlm_sql_mysql*.la
%attr(755,root,root) %{_libdir}/freeradius/rlm_sql_mysql*.so

%files module-otp
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/otp
%attr(755,root,root) %{_libdir}/freeradius/rlm_otp*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_otp*.la

%files module-pam
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/pam
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/*
%attr(755,root,root) %{_libdir}/freeradius/rlm_pam*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_pam*.la

%files module-perl
%defattr(644,root,root,755)
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/example.pl
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/perl
%attr(755,root,root) %{_libdir}/freeradius/rlm_perl*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_perl*.la

%files module-postgresql
%defattr(644,root,root,755)
%dir %{_sysconfdir}/raddb/sql/postgresql
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/sql/postgresql/*
%attr(755,root,root) %{_libdir}/freeradius/rlm_sql_postgresql*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_sql_postgresql*.la

%files module-python
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/freeradius/rlm_python*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_python*.la

%if %{with ruby}
%files module-ruby
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/freeradius/rlm_ruby*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_ruby*.la
%endif

%files module-sqlite
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/freeradius/rlm_sql_sqlite*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_sql_sqlite*.la

%if %{with firebird}
%files module-sql_firebird
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/freeradius/rlm_sql_firebird*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_sql_firebird*.la
%endif

%files module-unix
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/raddb/modules/unix
%attr(755,root,root) %{_libdir}/freeradius/rlm_unix*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_unix*.la

%files module-unixodbc
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/freeradius/rlm_sql_unixodbc*.so
%attr(755,root,root) %{_libdir}/freeradius/rlm_sql_unixodbc*.la

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfreeradius-eap-?.?.??.so
%attr(755,root,root) %{_libdir}/libfreeradius-radius-?.?.??.so
%dir %{_libdir}/freeradius

%files devel
%defattr(644,root,root,755)
%{_includedir}/freeradius
%{_libdir}/libfreeradius-eap.so
%{_libdir}/libfreeradius-radius.so

%files -n mibs-%{name}
%defattr(644,root,root,755)
%doc mibs/*.chart
%{mibdir}/*.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: freeradius-server.spec,v $
Revision 1.50  2012/02/05 11:22:17  baggins
- rel 3
- added tmpfiles config for systemd

Revision 1.49  2012/02/05 10:59:02  baggins
- rel 2
- logrotate 3.8.0 requires "su" option for non-root writable dirs

Revision 1.48  2011/12/13 12:46:59  blues
- CUI support - builds, not tested, yet

Revision 1.47  2011/10/18 08:11:06  hawk
- updated to 2.1.12, packaged caching, replicate and soh modules, disabled
  new experimental redis and rediswho modules (see TODO)

Revision 1.46  2011/07/27 11:22:44  mmazur
- fix return status of 'service freeradius-server status'
- rel 3; stbr

Revision 1.45  2011/04/01 14:40:29  mmazur
- add without_ruby bcond
- kick out ruby into a separate -module-ruby subpackage

Revision 1.44  2011/04/01 14:11:32  mmazur
- add failed_calls_acc bcond (default off) which applies a patch for
  logging failed calls as required by CDRTool to work properly

Revision 1.43  2011/03/31 18:12:24  arekm
- release 2

Revision 1.42  2010/11/24 12:54:30  hawk
- blah! dropped ruby patch, already in rubyhdrs patch, must remember
  to do cvs up -A before performing updates :-)

Revision 1.41  2010/11/24 12:51:56  hawk
- updated to 2.1.10
- build with system libltdl
- fix building with ruby >= 1.9.1

Revision 1.40  2010/07/16 09:36:13  paszczus
- oops, s/openssl/openssl-tools

Revision 1.39  2010/07/16 09:34:39  paszczus
- added R: openssl

Revision 1.38  2010/07/09 11:15:26  arekm
- release 3

Revision 1.37  2010/06/06 08:52:43  arekm
- release 2

Revision 1.36  2010/06/01 19:29:21  hawk
- rubyhdrs.patch breaks build on ruby 1.8 which is used in Titanium

Revision 1.35  2010/06/01 19:15:22  hawk
- updated to 2.1.9

Revision 1.34  2010/04/12 12:29:37  baggins
- rel 9

Revision 1.33  2010/04/03 17:19:12  glen
- release 8

Revision 1.32  2010/03/01 12:56:17  baggins
- rel 7
- fixed searching for ruby headers

Revision 1.31  2010/03/01 12:12:00  baggins
- rel 6

Revision 1.30  2010/01/13 19:24:04  glen
- system mibs dir; rel 5

Revision 1.29  2009/12/14 12:08:59  baggins
- rel 4

Revision 1.28  2009/12/09 18:17:23  sparky
- BR: rpm-perlprov

Revision 1.27  2009/12/09 14:09:50  baggins
- rel 3
- fix building with heimdal 1.3.1
  (KRB5_DEPRECATED is internal symbol used by heimdal, don't screw with it)

Revision 1.26  2009/12/09 13:43:57  baggins
- rel 2

Revision 1.25  2009/09/16 17:56:43  gotar
- keep config files confidential as they contain shared _secrets_

Revision 1.24  2009/09/16 12:58:58  amateja
- updated to 2.1.7

Revision 1.23  2009/09/12 11:09:48  radek
- release 5: strict DynaLoader dep no longer required

Revision 1.22  2009/08/18 10:59:26  arekm
- release 4

Revision 1.21  2009/07/05 08:00:50  baggins
- rel 3
- ruby-devel is required for build
- pass configure option to build against heimdal

Revision 1.20  2009/07/02 22:24:58  baggins
- rel 2
- switch to heimdal kerberos

Revision 1.19  2009/06/04 14:07:27  blues
- cleanups

Revision 1.18  2009/06/01 14:50:30  blues
- 2.1.6 - udpfromto enbled for multiple interfeces configurations.

Revision 1.17  2009/03/18 09:38:43  jajcus
- BR: krb5-devel and without_kerberos5 bcond added

Revision 1.16  2009/03/18 09:24:09  jajcus
- without_ldap, without_firebird and without_eap_ikev2 bconds added
- %files updated

Revision 1.15  2009/03/16 19:08:10  blues
- 2.1.4 - just fetch sources, NFY

Revision 1.14  2009/02/03 10:46:51  kosmo
- cleanend up recursive AM/AC regeneration (4 spaces => 1 tab).
- removed not working selective AM/AC regeneration.
- removed LIBS environment setting - not longer needed.

Revision 1.13  2008/12/09 13:13:30  blues
- 2.1.3

Revision 1.12  2008/12/05 14:15:47  blues
- 2.1.2 - doesn't build

Revision 1.11  2008/11/26 10:46:50  blues
- restart radius after each module

Revision 1.10  2008/11/06 15:48:15  blues
- move sql_firebird to separate package

Revision 1.9  2008/10/30 16:09:58  blues
- even more modules to separate packages

Revision 1.8  2008/10/29 17:04:15  blues
- one more exclude

Revision 1.7  2008/10/29 17:00:33  blues
- separated sql database backends

Revision 1.6  2008/10/29 16:13:28  blues
- separate libs and devel, package mibs into mibs subpackage. Noted things
  for more separation

Revision 1.5  2008/10/29 15:19:09  blues
- disabled ac/am regeneration and as-needed - needs fixing; cleanups.
  Builds now.

Revision 1.4  2008/10/24 14:45:09  blues
- 2.1.1 - NFY

Revision 1.3  2008/10/24 13:39:41  blues
- freeradius is obsolete 1.x line - obsolete it

Revision 1.2  2008/08/05 11:07:45  kosmo
- updated to 2.0.5

Revision 1.1  2008/04/12 07:41:59  kosmo
- initial version
- please review
